## ros-one-scaled-joint-trajectory-controller 0.1.1-5jammy.20260221.2237

=== debian/changelog ===
ros-one-scaled-joint-trajectory-controller (0.1.1-5jammy.20260221.2237) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <exner@fzi.de>  Sat, 21 Feb 2026 22:37:20 +0000

ros-one-scaled-joint-trajectory-controller (0.1.1-0jammy) jammy; urgency=high

  * Require same CMake version in all packages
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-scaled-joint-trajectory-controller (0.1.0-0jammy) jammy; urgency=high

  * Added metapackage
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Thu, 10 Jun 2021 00:00:00 -0000
