=== debian/control ===
Source: ros-one-scaled-joint-trajectory-controller
Section: misc
Priority: optional
Maintainer: Felix Exner <exner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-controller-interface, ros-one-hardware-interface, ros-one-joint-trajectory-controller, ros-one-pluginlib, ros-one-realtime-tools, ros-one-std-msgs
Homepage: http://wiki.ros.org/scaled_joint_trajectory_controller
Standards-Version: 3.9.2

Package: ros-one-scaled-joint-trajectory-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-controller-interface, ros-one-hardware-interface, ros-one-joint-trajectory-controller, ros-one-pluginlib, ros-one-realtime-tools, ros-one-std-msgs
Description: Provides controllers that use the speed scaling interface.
