## ros-one-scaled-joint-trajectory-controller 0.1.1-5noble.20251023.1140

=== debian/changelog ===
ros-one-scaled-joint-trajectory-controller (0.1.1-5noble.20251023.1140) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Felix Exner <exner@fzi.de>  Thu, 23 Oct 2025 11:40:56 +0000

ros-one-scaled-joint-trajectory-controller (0.1.1-0noble) noble; urgency=high

  * Require same CMake version in all packages
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000

ros-one-scaled-joint-trajectory-controller (0.1.0-0noble) noble; urgency=high

  * Added metapackage
  * Contributors: Felix Exner

 -- Felix Exner <exner@fzi.de>  Thu, 10 Jun 2021 00:00:00 -0000
